It's not a secret anymore!
The moose likes JSP and the fly likes has been deprecated Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Java » JSP
Bookmark " has been deprecated" Watch " has been deprecated" New topic
Author has been deprecated

Jamal Romero

Joined: Jun 21, 2001
Posts: 9
I've changed from Tomcat 3.1 tomcat 4.0 and from JDK1.3 to JDK1.4.
When I change code on my JSP file and recompile I'm gettig this Exception:
"org.apache.jasper.JasperException: Unable to compile class for JSPNote: has been deprecated."
Is this due to the change I've done on the Servlet container version and the JDK or due to my code?
Steve Loughran
Ranch Hand

Joined: Aug 06, 2002
Posts: 37
It's a JDK change, but I would have expected a deprecation warning, rather than an actual failure to compile.
What version of tomcat are you running? I have 4.0.4 working happily on java1.4, and there is a new beta of 4.1 out that I am about to take a look at.
Try downloading and reinstalling tomcat now that Java1.4 is installed, you can download the smaller .LE versions of the programs for Java1.4
I agree. Here's the link:
subject: has been deprecated
It's not a secret anymore!